diff --git a/web/pgadmin/browser/static/css/wizard.css b/web/pgadmin/browser/static/css/wizard.css
index 2c19a09..ab96b6e 100644
--- a/web/pgadmin/browser/static/css/wizard.css
+++ b/web/pgadmin/browser/static/css/wizard.css
@@ -4,7 +4,7 @@
 }
 
 .wizard-header {
-   padding: 6px 10px!important;
+  padding: 6px 10px!important;
   min-height: 35px;
   max-height: 35px;
   border-bottom: 2px solid darkgray;
@@ -29,25 +29,18 @@
   width: 100%;
 }
 
-.grant_wizard_container {
-  position: relative;
-  overflow: hidden;
-  width: 100%;
-  height: 100%;
-}
-
-.grant_wizard_container .pgadmin-wizard {
+.pgadmin-wizard {
   width: 100%;
   height: 100%;
 }
 
-.grant_wizard_container .wizard-content {
+.wizard-content {
   position: relative;
   padding: 0;
-  height: 78%;
+  height: calc(100% - 97px);
 }
 
-.grant_wizard_container .wizard-right-panel {
+.wizard-right-panel {
   overflow-y: auto;
   height: 100%;
   top: 0;
@@ -56,7 +49,7 @@
   bottom: 0;
 }
 
-.grant_wizard_container .wizard-left-panel {
+.wizard-left-panel {
   position: absolute;
   top: 0;
   display: flex;
@@ -67,20 +60,16 @@
   right: 0;
 }
 
-.grant_wizard_container .wizard-left-panel img {
+.wizard-left-panel img {
   width: 140px;
 }
 
-.grant_wizard_container .wizard-right-panel_content {
-  height: 60%;
-}
-
-.grant_wizard_container {
-  height: 100%;
+.wizard-right-panel_content {
+  height: calc(100% - 113px);
 }
 
 /* Wizard Footer CSS */
-.grant_wizard_container .footer {
+.pgadmin-wizard .footer {
   background-color: #D2D2D2;
   border-width: 2px 0px 0px 0px;
   border-style: solid;
@@ -94,41 +83,41 @@
 }
 
 /* Wizard Button CSS */
-.grant_wizard_container .wizard-buttons {
+.pgadmin-wizard .wizard-buttons {
   float: right;
 }
 
-.grant_wizard_container .wizard-buttons button {
+.pgadmin-wizard .wizard-buttons button {
   float: left;
   font-size: 14px;
   margin: 3px 5px 0 0 !important;
 }
 
-.grant_wizard_container .wizard-buttons button.wizard-next i.fa {
+.pgadmin-wizard .wizard-buttons button.wizard-next i.fa {
   padding-left: 5px;
 }
 
-.grant_wizard_container .wizard-buttons button.wizard-back i.fa,
-.grant_wizard_container .wizard-buttons button.wizard-cancel i.fa {
+.pgadmin-wizard .wizard-buttons button.wizard-back i.fa,
+.pgadmin-wizard .wizard-buttons button.wizard-cancel i.fa {
   padding-right: 5px;
 }
 
-.grant_wizard_container .wizard-buttons .wizard-finish {
+.pgadmin-wizard .wizard-buttons .wizard-finish {
   margin-right: 0 !important;
 }
 
 /* Wizard Status bar CSS */
-.grant_wizard_container .wizard-description {
+.pgadmin-wizard .wizard-description {
   padding: 1.0em 0.1em;
 }
 
 /* Error message css */
-.grant_wizard_container .error_msg_div {
-  display: block;
+.pgadmin-wizard .error_msg_div {
   background: #fff;
+  font-size: 13px;
 }
 
-.grant_wizard_container .error_msg_div p {
+.pgadmin-wizard .error_msg_div p {
   background: #fff;
   color: #b92c28;
 }
@@ -146,4 +135,4 @@
 
 .alertify .ajs-body .ajs-content {
   padding: 0px;
-}
\ No newline at end of file
+}
diff --git a/web/pgadmin/tools/grant_wizard/static/css/grant_wizard.css b/web/pgadmin/tools/grant_wizard/static/css/grant_wizard.css
index 18240e9..7681b9a 100644
--- a/web/pgadmin/tools/grant_wizard/static/css/grant_wizard.css
+++ b/web/pgadmin/tools/grant_wizard/static/css/grant_wizard.css
@@ -11,9 +11,14 @@
 }
 
 .object_type_table {
-  display: inline-block;
   height: 100%;
   border: 0 !important;
+  display: inline;
+}
+
+.object_type_table thead {
+  display: table;
+  width: 100%;
 }
 
 .object_type_table thead tr {
@@ -24,7 +29,7 @@
 
 .object_type_table tbody {
   display: block;
-  overflow: scroll;
+  overflow: auto;
   border: 1px solid #ddd;
   width: 100%;
   min-height: 100%;
@@ -107,3 +112,10 @@
 .wizard-right-panel_content .CodeMirror-gutters {
   min-height: 285px !important;
 }
+
+.grant_wizard_container {
+  position: relative;
+  overflow: hidden;
+  width: 100%;
+  height: 100%;
+}
diff --git a/web/pgadmin/tools/grant_wizard/templates/grant_wizard/js/grant_wizard.js b/web/pgadmin/tools/grant_wizard/templates/grant_wizard/js/grant_wizard.js
index b167447..543455d 100644
--- a/web/pgadmin/tools/grant_wizard/templates/grant_wizard/js/grant_wizard.js
+++ b/web/pgadmin/tools/grant_wizard/templates/grant_wizard/js/grant_wizard.js
@@ -93,7 +93,6 @@ define([
           var col = this.column.get('name');
           if (this.model && this.model.has(col)) {
             if (this.model.get(col)) {
-              this.checkbox().prop("checked", true);
               this.$el.parent().toggleClass("selected", true);
               this.model.trigger("backgrid:selected", this.model, true);
             }
@@ -201,7 +200,6 @@ define([
               },
               setup:function() {
                 return {
-
                   // Set options for dialog
                   options: {
                     frameless: true,
@@ -946,8 +944,9 @@ define([
                             dataType: "json",
                             contentType: "application/json"
                           }).done(function(res) {
-                            self.sqlTab.clearHistory();
-                            self.sqlTab.setValue(res.data);
+                            self.sqlCtrl.clearHistory();
+                            self.sqlCtrl.setValue(res.data);
+                            self.sqlCtrl.refresh();
                           }).fail(function() {
                             self.model.trigger('pgadmin-view:msql:error');
                           }).always(function() {
@@ -959,9 +958,9 @@ define([
 
                           // Clear html dom elements of CodeMirror sql tab
                           self.sqlControl.unbind(); // Unbind all local event bindings
-                          var cmElem = self.sqlControl.sqlTab.getWrapperElement();
+                          var cmElem = self.sqlControl.sqlCtrl.getWrapperElement();
                           cmElem.remove();
-                          self.sqlControl.sqlTab = undefined;
+                          self.sqlControl.sqlCtrl = undefined;
                         }
 
                       })
@@ -987,9 +986,9 @@ define([
                   view: new(function() {
 
                     // Render SqlTab control to generate its html markup
-                    var sqlTabHtml = sqlControl.render().$el;
+                    var sqlCtrlHtml = sqlControl.render().$el;
                     this.render = function() {
-                        return { el: sqlTabHtml };
+                        return { el: sqlCtrlHtml };
                     };
                   }),
 
